Skip to main content
POST
/
cards
/
virtual-cards
/
{cardId}
/
3ds-authorization
curl -X POST "https://api.cryptomate.me/cards/virtual-cards/card_6f1e2a30-4a3c-4b2e-9a1d-5e8c9b7a1f23/3ds-authorization" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "code": "123456",
    "approve": true
  }'
{
  "code": "123456",
  "approve": true
}
Responds to a 3D Secure authorization challenge that was forwarded to your backend. Used when the card is configured with FORWARDED 3DS. Requires an API key with access level 2 or higher.

Path parameters

cardId
string
required
Card identifier.

Body

code
string
required
Authorization code from the 3DS challenge.
approve
boolean
Whether to approve (true) or decline (false) the authorization.

Response

code
string
The authorization code submitted.
approve
boolean
Whether the authorization was approved.
curl -X POST "https://api.cryptomate.me/cards/virtual-cards/card_6f1e2a30-4a3c-4b2e-9a1d-5e8c9b7a1f23/3ds-authorization" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "code": "123456",
    "approve": true
  }'
{
  "code": "123456",
  "approve": true
}